package sample;

import javafx.animation.AnimationTimer;
import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.util.ArrayList;

public class Main extends Application {

    Ball b;
    Bat batL, batR;

    @Override
    public void start(Stage primaryStage) throws Exception{
        b = new Ball(150,275/2, 50);
        batL = new Bat(0,200,20,75);
        batR = new Bat(580,200,20,75);

        ArrayList<Ball> list = new ArrayList<Ball>();
        for (int i=0; i<10000; i++) list.add(new Ball(300,200,2));

        Group root = new Group();
        primaryStage.setTitle("PONG");
        primaryStage.setScene(new Scene(root, 600, 400));
        primaryStage.show();

        b.addTo(root);
        for (int i=0; i<10000; i++) list.get(i).addTo(root);
        batL.addTo(root);
        batR.addTo(root);

        new AnimationTimer() {
            public void handle (long currentNanoTime) {
                // game loop
                b.move();
                for (int i=0; i<10000; i++) list.get(i).move();
            }
        }.start();
    }


    public static void main(String[] args) {
        launch(args);
    }
}
